Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.bea.wls.ejb
Class WebLogicSubTask.Version

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.bea.wls.ejb.WebLogicSubTask.Version

Enclosing class:
  WebLogicSubTask

public static class WebLogicSubTask.Version
extends org.apache.tools.ant.types.EnumeratedAttribute

Supported WLS versions.

created
  17. juni 2002

Field Summary
`static String` | `VERSION_6_0`
`static String` | `VERSION_6_1`
`static String` | `VERSION_7_0`
`static String` | `VERSION_8_1`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`WebLogicSubTask.Version()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the Version object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_6_0

    public static final String VERSION_6_0

See Also:
  Constant Field Values

### VERSION_6_1

    public static final String VERSION_6_1

See Also:
  Constant Field Values

### VERSION_7_0

    public static final String VERSION_7_0

See Also:
  Constant Field Values

### VERSION_8_1

    public static final String VERSION_8_1

See Also:
  Constant Field Values

Constructor Detail

### WebLogicSubTask.Version

    public WebLogicSubTask.Version()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the Version object

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD